BizKitHub
DocsAPI ReferenceOrganisation/bff/organisation/link-print-logo-blob
getOrganisationAdmin BFF

/bff/organisation/link-print-logo-blob

Links an uploaded image blob as the organisation print logo used in invoices, receipts, contracts, and PDF documents.

OrganisationgetBffOrganisationLink-print-logo-blob

Parameters

1 query

Query parameters

· 1
blobTokenstringRequired

Blob storage token of the image to use as print logo.

Exampletok_abc123

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the print logo was set successfully.

urlstringRequired

Stored print logo URL (a PNG when an SVG was uploaded).

rasterizedFromSvgbooleanRequired

True when the uploaded SVG was rendered to PNG.

Response example

application/json
{
  "success": false,
  "url": "example_url",
  "rasterizedFromSvg": false
}

Request example

GET /bff/organisation/link-print-logo-blob

get
curl -X GET "https://api.bizkithub.com/bff/organisation/link-print-logo-blob?blobToken=tok_abc123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key